%global momorel 2
%define default_text %{_datadir}/doc/momonga-release-2/RELEASE-NOTES

Summary:	X screen saver and locker
Name:		xscreensaver
Version:	4.24
Release: 	%{momorel}m
License:	BSD
Group:		Amusements/Graphics
URL:		http://www.jwz.org/xscreensaver/
Source0:	http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.gz
NoSource:       0
Source1:	removed-display-modes
Patch0:		xscreensaver-4.24-change-defaults.patch
Patch1:		xscreensaver-4.24-sanitize-hacks.patch
Patch2:		xscreensaver-4.21-dont-ping-if-not-root.patch
Patch3:		xscreensaver-4.21-use-hack-basename.patch
Patch4:		xscreensaver-4.22-fix-man-pages.patch
Patch5:		xscreensaver-4.22-dont-allow-root.patch
Patch6:		xscreensaver-4.22-pam-include.patch
Patch8:		xscreensaver-4.22-write-explicit-dirname.patch
Patch9:		xscreensaver-4.22-use-hackdirname.patch
Patch10:	xscreensaver-4.22-show-uname.patch
Patch11:	xscreensaver-4.22-make-hackdir-absolute-path-new.patch
Patch15:	xscreensaver-4.23-allow-zero-dpms-timeout-MOREFIX.patch
Patch16:	xscreensaver-4.23-realpath-heap-allocate.patch
Patch17:	xscreensaver-4.23-default-text.patch
Patch18:	xscreensaver-4.23-modularX-addoption.patch
Patch19:	xscreensaver-4.23-remove-gccwarn-pointer.patch
Patch20:	xscreensaver-4.24-clean-up-the-zombies.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root

# find_lang
BuildRequires:	gettext
BuildRequires:  desktop-file-utils
BuildRequires:  imake

# /sbin/pidof
Requires:	SysVinit
Requires:       fedora-release

%package base
Summary: A minimal installation of xscreensaver.
Group: Amusements/Graphics
BuildPrereq: bc, pam-devel
BuildPrereq: libX11-devel, libXScrnSaver-devel, libXext-devel
BuildPrereq: libXinerama-devel
# this is here because the configure tests look for protocol headers
BuildPrereq: xorg-x11-proto-devel
BuildPrereq: gtk+-devel libglade-devel
# Requires: /etc/pam.d/system-auth, htmlview, desktop-backgrounds-basic
Requires: pam, htmlview
Provides: xscreensaver = %{version}-%{release}
Obsoletes: xscreensaver

%package extras
Summary: An enhanced set of screensavers.
Group: Amusements/Graphics

%package gl-extras
Summary: An enhanced set of screensavers that require OpenGL.
Group: Amusements/Graphics
Obsoletes: xscreensaver-gl
BuildRequires: libGLU-devel, libGL-devel
Requires: libGL, libGLU

%description
A modular screen saver and locker for the X Window System.
More than 200 display modes are included in this package.

%description base
A modular screen saver and locker for the X Window System.
This package contains the bare minimum needed to blank and
lock your screen.  The graphical display modes are the
"xscreensaver-extras" and "xscreensaver-gl-extras" packages.

%description extras
A modular screen saver and locker for the X Window System.
This package contains a variety of graphical screen savers for
your mind-numbing, ambition-eroding, time-wasting, hypnotized
viewing pleasure.

%description gl-extras
A modular screen saver and locker for the X Window System.
This package contains a variety of OpenGL-based (3D) screen
savers for your mind-numbing, ambition-eroding, time-wasting,
hypnotized viewing pleasure.

%prep
%setup -q
%patch0 -p1 -b .change-defaults
%patch1 -p1 -b .sanitize-hacks
#%patch2 -p1 -b .dont-ping-if-not-root
%patch3 -p1 -b .use-hack-basename
#%patch4 -p1 -b .fix-man-pages
%patch5 -p1 -b .dont-allow-root
%patch6 -p1 -b .pam-include
%patch8 -p1 -b .write-explicit-dirname
%patch9 -p1 -b .use-hackdirname
%patch10 -p1 -b .show-uname
%patch11 -p1 -b .make-hackdir-absolute-path-new
%patch15 -p1 -b .allow-zero-dpms-timeout-MOREFIX
%patch16 -p1 -b .realpath-heap-allocate
%patch17 -p1 -b .default-text
%patch18 -p1 -b .modularX-addoption
%patch19 -p1 -b .remove-gccwarn-pointer
%patch20 -p1 -b .clean-up-the-zombies


if [ -x %{_datadir}/libtool/config.guess ]; then
  # use system-wide copy
  cp -p %{_datadir}/libtool/config.{sub,guess} .
fi

%build
autoconf
archdir=`./config.guess`
mkdir $archdir
cd $archdir

export CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" 

CONFIG_OPTS="--with-pam --without-shadow --without-kerberos"
CONFIG_OPTS="$CONFIG_OPTS --without-setuid-hacks"
CONFIG_OPTS="$CONFIG_OPTS --with-fortune=%{fortune}"
CONFIG_OPTS="$CONFIG_OPTS --with-text-file=%{default_text}"
CONFIG_OPTS="$CONFIG_OPTS --with-x-app-defaults=%{_datadir}/X11/app-defaults"


# This is flaky:
# CONFIG_OPTS="$CONFIG_OPTS --with-login-manager"

ln -s ../configure .
%configure $CONFIG_OPTS
rm -f configure

make

%install
archdir=`./config.guess`
cd $archdir

rm -rf %{buildroot}

# We have to make sure these directories exist,
# or nothing will be installed into them.
#
#mkdir -p %{buildroot}%{_bindir}                      \
#         %{buildroot}%{_datadir}/xscreensaver        \
#         %{buildroot}%{_libexecdir}/xscreensaver     \
#         %{buildroot}%{_mandir}/man1/xscreensaver    \
#         %{buildroot}/etc/pam.d

make install_prefix=%{buildroot} install 

#mv %{buildroot}%{_mandir}/man1 %{buildroot}%{_mandir}/man6

desktop-file-install --vendor gnome --delete-original                         \
  --dir %{buildroot}%{_datadir}/applications                               \
  --add-only-show-in GNOME                                                    \
  --add-category X-Red-Hat-Base                                               \
  %{buildroot}%{_datadir}/applications/*.desktop

# This function prints a list of things that get installed.
# It does this by parsing the output of a dummy run of "make install".
#
list_files() {
  echo "%%defattr(-,root,root)"
  make -s install_prefix=%{buildroot} INSTALL=true "$@"	\
   | sed -e 's@.*directory.* \(/[^ ]*\)$@ \1DIR@'               \
   | sed -e 's@.*-m 4755.* \([^ ]*\)$@ \1SETUID@'               \
   | sed -n -e 's@.* \(/[^ ]*\)$@\1@p'				\
   | sed    -e "s@^%{buildroot}@@" 			\
            -e "s@/[a-z][a-z]*/\.\./@/@"			\
   | sed    -e '/DIR$/!s@\(.*/man/.*\)@\1\*@'			\
   | sed    -e '/DIR$/!s@\(.*/app-defaults/\)@%config \1@'      \
            -e '/DIR$/!s@\(.*/pam\.d/\)@%config(missingok) \1@' \
   | sed    -e 's@\(.*\)DIR$@%dir \1@'                          \
   | sed    -e 's@\(.*\)SETUID$@%attr(4755,root,root) \1@'      \
   | sort
}

# This function removes the display modes listed in the file given in argument 1
# from the file list in the file given in argument 2 and from the build root.
prune_display_modes() {
  # Add some regex foo to the display mode list to be more specific about what
  # to remove (e.g., to keep webcollage-helper when webcollage is removed)
  cat "$1" | sed -e 's@$@\\(\\..*\\)\\?$@' > "$1".tmp
  cat "$2" > "$2".tmp 

  # Remove display modes from the file list
  grep -v -f "$1".tmp "$2".tmp > "$2" 

  # Remove display modes from the build root
  comm -2 -3 "$2".tmp "$2"                                         \
   | xargs -r -i{file} sh -c "rm -f %{buildroot}{file}"

   rm -f "$1".tmp
   rm -f "$2".tmp
}

# Generate three lists of files for the three packages.
#
dd=%{_builddir}/%{name}-%{version}
(  cd hacks     ; list_files install ) >  $dd/extras.files
(  cd hacks/glx ; list_files install ) >  $dd/gl-extras.files
(  cd driver    ; list_files install ) >  $dd/base.files

# Various display modes can't be in fedora/RHEL.  Prune them.
#
prune_display_modes ${RPM_SOURCE_DIR}/removed-display-modes $dd/extras.files 
prune_display_modes ${RPM_SOURCE_DIR}/removed-display-modes $dd/gl-extras.files 

# Not needed anymore
#install -m 755 ${RPM_SOURCE_DIR}/xscreensaver-fortune-standin                 \
#               %{buildroot}%{fortune}
#echo %{fortune} >> $dd/base.files

%find_lang %{name}
cat %{name}.lang >> $dd/base.files

# Make sure all files are readable by all, and writable only by owner.
#
chmod -R a+r,u+w,og-w %{buildroot}

%clean
rm -rf %{buildroot}

%post base
# This part runs on the end user's system, when the RPM is installed.

pids=`/sbin/pidof xscreensaver`
if [ -n "$pids" ]; then
  echo "sending SIGHUP to running xscreensaver ($pids)..." >&2
  kill -HUP $pids
fi

%files base
%defattr(-,root,root)
%config %{_datadir}/X11/app-defaults/XScreenSaver
%config(missingok) %{_sysconfdir}/pam.d/xscreensaver
%dir %{_datadir}/xscreensaver
%dir %{_datadir}/xscreensaver/config
%dir %{_datadir}/xscreensaver/glade
%{_bindir}/xscreensaver
%{_bindir}/xscreensaver-command
%{_bindir}/xscreensaver-demo
%{_bindir}/xscreensaver-getimage
%{_bindir}/xscreensaver-getimage-file
%{_bindir}/xscreensaver-getimage-video
%{_bindir}/xscreensaver-text
%{_datadir}/applications/gnome-screensaver-properties.desktop
%{_mandir}/man1/xscreensaver-command.1*
%{_mandir}/man1/xscreensaver-demo.1*
%{_mandir}/man1/xscreensaver-getimage-file.1*
%{_mandir}/man1/xscreensaver-getimage-video.1*
%{_mandir}/man1/xscreensaver-getimage.1*
%{_mandir}/man1/xscreensaver-text.1*
%{_mandir}/man1/xscreensaver.1*
%{_datadir}/pixmaps/xscreensaver.xpm
%{_datadir}/xscreensaver/config/README
%{_datadir}/xscreensaver/glade/screensaver-cmndln.png
%{_datadir}/xscreensaver/glade/screensaver-colorselector.png
%{_datadir}/xscreensaver/glade/screensaver-diagnostic.png
%{_datadir}/xscreensaver/glade/screensaver-locking.png
%{_datadir}/xscreensaver/glade/screensaver-power.png
%{_datadir}/xscreensaver/glade/screensaver-snap.png
%{_datadir}/xscreensaver/glade/xscreensaver-demo.glade2
%{_datadir}/locale/*/*/*

%files extras
%defattr(-,root,root)
%dir %{_libexecdir}/xscreensaver
%{_libexecdir}/xscreensaver/anemone
%{_libexecdir}/xscreensaver/anemotaxis
%{_libexecdir}/xscreensaver/apollonian
%{_libexecdir}/xscreensaver/apple2
%{_libexecdir}/xscreensaver/attraction
%{_libexecdir}/xscreensaver/barcode
%{_libexecdir}/xscreensaver/blaster
%{_libexecdir}/xscreensaver/blitspin
%{_libexecdir}/xscreensaver/bouboule
%{_libexecdir}/xscreensaver/boxfit
%{_libexecdir}/xscreensaver/braid
%{_libexecdir}/xscreensaver/bsod
%{_libexecdir}/xscreensaver/bubbles
%{_libexecdir}/xscreensaver/bumps
%{_libexecdir}/xscreensaver/ccurve
%{_libexecdir}/xscreensaver/celtic
%{_libexecdir}/xscreensaver/cloudlife
%{_libexecdir}/xscreensaver/compass
%{_libexecdir}/xscreensaver/coral
%{_libexecdir}/xscreensaver/critical
%{_libexecdir}/xscreensaver/crystal
%{_libexecdir}/xscreensaver/cynosure
%{_libexecdir}/xscreensaver/decayscreen
%{_libexecdir}/xscreensaver/deco
%{_libexecdir}/xscreensaver/deluxe
%{_libexecdir}/xscreensaver/demon
%{_libexecdir}/xscreensaver/discrete
%{_libexecdir}/xscreensaver/distort
%{_libexecdir}/xscreensaver/drift
%{_libexecdir}/xscreensaver/epicycle
%{_libexecdir}/xscreensaver/eruption
%{_libexecdir}/xscreensaver/euler2d
%{_libexecdir}/xscreensaver/fadeplot
%{_libexecdir}/xscreensaver/fiberlamp
%{_libexecdir}/xscreensaver/fireworkx
%{_libexecdir}/xscreensaver/flame
%{_libexecdir}/xscreensaver/flow
%{_libexecdir}/xscreensaver/fluidballs
%{_libexecdir}/xscreensaver/forest
%{_libexecdir}/xscreensaver/fuzzyflakes
%{_libexecdir}/xscreensaver/galaxy
%{_libexecdir}/xscreensaver/goop
%{_libexecdir}/xscreensaver/grav
%{_libexecdir}/xscreensaver/greynetic
%{_libexecdir}/xscreensaver/halftone
%{_libexecdir}/xscreensaver/halo
%{_libexecdir}/xscreensaver/helix
%{_libexecdir}/xscreensaver/hopalong
%{_libexecdir}/xscreensaver/hyperball
%{_libexecdir}/xscreensaver/hypercube
%{_libexecdir}/xscreensaver/ifs
%{_libexecdir}/xscreensaver/imsmap
%{_libexecdir}/xscreensaver/interaggregate
%{_libexecdir}/xscreensaver/interference
%{_libexecdir}/xscreensaver/intermomentary
%{_libexecdir}/xscreensaver/jigsaw
%{_libexecdir}/xscreensaver/juggle
%{_libexecdir}/xscreensaver/julia
%{_libexecdir}/xscreensaver/kaleidescope
%{_libexecdir}/xscreensaver/kumppa
%{_libexecdir}/xscreensaver/laser
%{_libexecdir}/xscreensaver/lightning
%{_libexecdir}/xscreensaver/lisa
%{_libexecdir}/xscreensaver/lissie
%{_libexecdir}/xscreensaver/lmorph
%{_libexecdir}/xscreensaver/loop
%{_libexecdir}/xscreensaver/maze
%{_libexecdir}/xscreensaver/memscroller
%{_libexecdir}/xscreensaver/metaballs
%{_libexecdir}/xscreensaver/mismunch
%{_libexecdir}/xscreensaver/moire
%{_libexecdir}/xscreensaver/moire2
%{_libexecdir}/xscreensaver/mountain
%{_libexecdir}/xscreensaver/munch
%{_libexecdir}/xscreensaver/nerverot
%{_libexecdir}/xscreensaver/noseguy
%{_libexecdir}/xscreensaver/pacman
%{_libexecdir}/xscreensaver/pedal
%{_libexecdir}/xscreensaver/penetrate
%{_libexecdir}/xscreensaver/penrose
%{_libexecdir}/xscreensaver/petri
%{_libexecdir}/xscreensaver/phosphor
%{_libexecdir}/xscreensaver/piecewise
%{_libexecdir}/xscreensaver/polyominoes
%{_libexecdir}/xscreensaver/pong
%{_libexecdir}/xscreensaver/popsquares
%{_libexecdir}/xscreensaver/pyro
%{_libexecdir}/xscreensaver/qix
%{_libexecdir}/xscreensaver/rd-bomb
%{_libexecdir}/xscreensaver/ripples
%{_libexecdir}/xscreensaver/rorschach
%{_libexecdir}/xscreensaver/rotor
%{_libexecdir}/xscreensaver/rotzoomer
%{_libexecdir}/xscreensaver/shadebobs
%{_libexecdir}/xscreensaver/sierpinski
%{_libexecdir}/xscreensaver/slidescreen
%{_libexecdir}/xscreensaver/slip
%{_libexecdir}/xscreensaver/sonar
%{_libexecdir}/xscreensaver/speedmine
%{_libexecdir}/xscreensaver/sphere
%{_libexecdir}/xscreensaver/spiral
%{_libexecdir}/xscreensaver/spotlight
%{_libexecdir}/xscreensaver/squiral
%{_libexecdir}/xscreensaver/starfish
%{_libexecdir}/xscreensaver/strange
%{_libexecdir}/xscreensaver/substrate
%{_libexecdir}/xscreensaver/swirl
%{_libexecdir}/xscreensaver/t3d
%{_libexecdir}/xscreensaver/thornbird
%{_libexecdir}/xscreensaver/triangle
%{_libexecdir}/xscreensaver/truchet
%{_libexecdir}/xscreensaver/twang
%{_libexecdir}/xscreensaver/vermiculate
%{_libexecdir}/xscreensaver/vidwhacker
%{_libexecdir}/xscreensaver/vines
%{_libexecdir}/xscreensaver/wander
%{_libexecdir}/xscreensaver/webcollage-helper
%{_libexecdir}/xscreensaver/whirlwindwarp
%{_libexecdir}/xscreensaver/whirlygig
%{_libexecdir}/xscreensaver/worm
%{_libexecdir}/xscreensaver/wormhole
%{_libexecdir}/xscreensaver/xanalogtv
%{_libexecdir}/xscreensaver/xflame
%{_libexecdir}/xscreensaver/xjack
%{_libexecdir}/xscreensaver/xlyap
%{_libexecdir}/xscreensaver/xmatrix
%{_libexecdir}/xscreensaver/xrayswarm
%{_libexecdir}/xscreensaver/xspirograph
%{_libexecdir}/xscreensaver/xteevee
%{_libexecdir}/xscreensaver/zoom
%{_mandir}/man1/anemone.1*
%{_mandir}/man1/anemotaxis.1*
%{_mandir}/man1/apollonian.1*
%{_mandir}/man1/apple2.1*
%{_mandir}/man1/attraction.1*
%{_mandir}/man1/barcode.1*
%{_mandir}/man1/blaster.1*
%{_mandir}/man1/blitspin.1*
%{_mandir}/man1/bouboule.1*
%{_mandir}/man1/boxfit.1*
%{_mandir}/man1/braid.1*
%{_mandir}/man1/bsod.1*
%{_mandir}/man1/bubbles.1*
%{_mandir}/man1/bumps.1*
%{_mandir}/man1/ccurve.1*
%{_mandir}/man1/celtic.1*
%{_mandir}/man1/cloudlife.1*
%{_mandir}/man1/compass.1*
%{_mandir}/man1/coral.1*
%{_mandir}/man1/critical.1*
%{_mandir}/man1/crystal.1*
%{_mandir}/man1/cynosure.1*
%{_mandir}/man1/decayscreen.1*
%{_mandir}/man1/deco.1*
%{_mandir}/man1/deluxe.1*
%{_mandir}/man1/demon.1*
%{_mandir}/man1/discrete.1*
%{_mandir}/man1/distort.1*
%{_mandir}/man1/drift.1*
%{_mandir}/man1/epicycle.1*
%{_mandir}/man1/eruption.1*
%{_mandir}/man1/euler2d.1*
%{_mandir}/man1/fadeplot.1*
%{_mandir}/man1/fiberlamp.1*
%{_mandir}/man1/fireworkx.1*
%{_mandir}/man1/flame.1*
%{_mandir}/man1/flow.1*
%{_mandir}/man1/fluidballs.1*
%{_mandir}/man1/forest.1*
%{_mandir}/man1/fuzzyflakes.1*
%{_mandir}/man1/galaxy.1*
%{_mandir}/man1/goop.1*
%{_mandir}/man1/grav.1*
%{_mandir}/man1/greynetic.1*
%{_mandir}/man1/halftone.1*
%{_mandir}/man1/halo.1*
%{_mandir}/man1/helix.1*
%{_mandir}/man1/hopalong.1*
%{_mandir}/man1/hyperball.1*
%{_mandir}/man1/hypercube.1*
%{_mandir}/man1/ifs.1*
%{_mandir}/man1/imsmap.1*
%{_mandir}/man1/interaggregate.1*
%{_mandir}/man1/interference.1*
%{_mandir}/man1/intermomentary.1*
%{_mandir}/man1/jigsaw.1*
%{_mandir}/man1/juggle.1*
%{_mandir}/man1/julia.1*
%{_mandir}/man1/kaleidescope.1*
%{_mandir}/man1/kumppa.1*
%{_mandir}/man1/laser.1*
%{_mandir}/man1/lightning.1*
%{_mandir}/man1/lisa.1*
%{_mandir}/man1/lissie.1*
%{_mandir}/man1/lmorph.1*
%{_mandir}/man1/loop.1*
%{_mandir}/man1/maze.1*
%{_mandir}/man1/memscroller.1*
%{_mandir}/man1/metaballs.1*
%{_mandir}/man1/mismunch.1*
%{_mandir}/man1/moire.1*
%{_mandir}/man1/moire2.1*
%{_mandir}/man1/mountain.1*
%{_mandir}/man1/munch.1*
%{_mandir}/man1/nerverot.1*
%{_mandir}/man1/noseguy.1*
%{_mandir}/man1/pacman.1*
%{_mandir}/man1/pedal.1*
%{_mandir}/man1/penetrate.1*
%{_mandir}/man1/penrose.1*
%{_mandir}/man1/petri.1*
%{_mandir}/man1/phosphor.1*
%{_mandir}/man1/piecewise.1*
%{_mandir}/man1/polyominoes.1*
%{_mandir}/man1/pong.1*
%{_mandir}/man1/pyro.1*
%{_mandir}/man1/qix.1*
%{_mandir}/man1/rd-bomb.1*
%{_mandir}/man1/ripples.1*
%{_mandir}/man1/rorschach.1*
%{_mandir}/man1/rotor.1*
%{_mandir}/man1/rotzoomer.1*
%{_mandir}/man1/shadebobs.1*
%{_mandir}/man1/sierpinski.1*
%{_mandir}/man1/slidescreen.1*
%{_mandir}/man1/slip.1*
%{_mandir}/man1/sonar.1*
%{_mandir}/man1/speedmine.1*
%{_mandir}/man1/sphere.1*
%{_mandir}/man1/spiral.1*
%{_mandir}/man1/spotlight.1*
%{_mandir}/man1/squiral.1*
%{_mandir}/man1/starfish.1*
%{_mandir}/man1/strange.1*
%{_mandir}/man1/substrate.1*
%{_mandir}/man1/swirl.1*
%{_mandir}/man1/t3d.1*
%{_mandir}/man1/thornbird.1*
%{_mandir}/man1/triangle.1*
%{_mandir}/man1/truchet.1*
%{_mandir}/man1/twang.1*
%{_mandir}/man1/vermiculate.1*
%{_mandir}/man1/vidwhacker.1*
%{_mandir}/man1/vines.1*
%{_mandir}/man1/wander.1*
%{_mandir}/man1/whirlwindwarp.1*
%{_mandir}/man1/whirlygig.1*
%{_mandir}/man1/worm.1*
%{_mandir}/man1/wormhole.1*
%{_mandir}/man1/xanalogtv.1*
%{_mandir}/man1/xflame.1*
%{_mandir}/man1/xjack.1*
%{_mandir}/man1/xlyap.1*
%{_mandir}/man1/xmatrix.1*
%{_mandir}/man1/xrayswarm.1*
%{_mandir}/man1/xspirograph.1*
%{_mandir}/man1/xteevee.1*
%{_mandir}/man1/zoom.1*
%{_datadir}/xscreensaver/config/anemone.xml
%{_datadir}/xscreensaver/config/anemotaxis.xml
%{_datadir}/xscreensaver/config/apollonian.xml
%{_datadir}/xscreensaver/config/apple2.xml
%{_datadir}/xscreensaver/config/attraction.xml
%{_datadir}/xscreensaver/config/barcode.xml
%{_datadir}/xscreensaver/config/blaster.xml
%{_datadir}/xscreensaver/config/blitspin.xml
%{_datadir}/xscreensaver/config/bouboule.xml
%{_datadir}/xscreensaver/config/boxfit.xml
%{_datadir}/xscreensaver/config/braid.xml
%{_datadir}/xscreensaver/config/bsod.xml
%{_datadir}/xscreensaver/config/bubbles.xml
%{_datadir}/xscreensaver/config/bumps.xml
%{_datadir}/xscreensaver/config/ccurve.xml
%{_datadir}/xscreensaver/config/celtic.xml
%{_datadir}/xscreensaver/config/cloudlife.xml
%{_datadir}/xscreensaver/config/compass.xml
%{_datadir}/xscreensaver/config/coral.xml
%{_datadir}/xscreensaver/config/critical.xml
%{_datadir}/xscreensaver/config/crystal.xml
%{_datadir}/xscreensaver/config/cynosure.xml
%{_datadir}/xscreensaver/config/decayscreen.xml
%{_datadir}/xscreensaver/config/deco.xml
%{_datadir}/xscreensaver/config/deluxe.xml
%{_datadir}/xscreensaver/config/demon.xml
%{_datadir}/xscreensaver/config/discrete.xml
%{_datadir}/xscreensaver/config/distort.xml
%{_datadir}/xscreensaver/config/drift.xml
%{_datadir}/xscreensaver/config/epicycle.xml
%{_datadir}/xscreensaver/config/eruption.xml
%{_datadir}/xscreensaver/config/euler2d.xml
%{_datadir}/xscreensaver/config/fadeplot.xml
%{_datadir}/xscreensaver/config/fiberlamp.xml
%{_datadir}/xscreensaver/config/fireworkx.xml
%{_datadir}/xscreensaver/config/flame.xml
%{_datadir}/xscreensaver/config/flow.xml
%{_datadir}/xscreensaver/config/fluidballs.xml
%{_datadir}/xscreensaver/config/forest.xml
%{_datadir}/xscreensaver/config/fuzzyflakes.xml
%{_datadir}/xscreensaver/config/galaxy.xml
%{_datadir}/xscreensaver/config/goop.xml
%{_datadir}/xscreensaver/config/grav.xml
%{_datadir}/xscreensaver/config/greynetic.xml
%{_datadir}/xscreensaver/config/halftone.xml
%{_datadir}/xscreensaver/config/halo.xml
%{_datadir}/xscreensaver/config/helix.xml
%{_datadir}/xscreensaver/config/hopalong.xml
%{_datadir}/xscreensaver/config/hyperball.xml
%{_datadir}/xscreensaver/config/hypercube.xml
%{_datadir}/xscreensaver/config/ifs.xml
%{_datadir}/xscreensaver/config/imsmap.xml
%{_datadir}/xscreensaver/config/interaggregate.xml
%{_datadir}/xscreensaver/config/interference.xml
%{_datadir}/xscreensaver/config/intermomentary.xml
%{_datadir}/xscreensaver/config/jigsaw.xml
%{_datadir}/xscreensaver/config/juggle.xml
%{_datadir}/xscreensaver/config/julia.xml
%{_datadir}/xscreensaver/config/kaleidescope.xml
%{_datadir}/xscreensaver/config/kumppa.xml
%{_datadir}/xscreensaver/config/laser.xml
%{_datadir}/xscreensaver/config/lightning.xml
%{_datadir}/xscreensaver/config/lisa.xml
%{_datadir}/xscreensaver/config/lissie.xml
%{_datadir}/xscreensaver/config/lmorph.xml
%{_datadir}/xscreensaver/config/loop.xml
%{_datadir}/xscreensaver/config/maze.xml
%{_datadir}/xscreensaver/config/memscroller.xml
%{_datadir}/xscreensaver/config/metaballs.xml
%{_datadir}/xscreensaver/config/mismunch.xml
%{_datadir}/xscreensaver/config/moire.xml
%{_datadir}/xscreensaver/config/moire2.xml
%{_datadir}/xscreensaver/config/mountain.xml
%{_datadir}/xscreensaver/config/munch.xml
%{_datadir}/xscreensaver/config/nerverot.xml
%{_datadir}/xscreensaver/config/noseguy.xml
%{_datadir}/xscreensaver/config/pacman.xml
%{_datadir}/xscreensaver/config/pedal.xml
%{_datadir}/xscreensaver/config/penetrate.xml
%{_datadir}/xscreensaver/config/penrose.xml
%{_datadir}/xscreensaver/config/petri.xml
%{_datadir}/xscreensaver/config/phosphor.xml
%{_datadir}/xscreensaver/config/piecewise.xml
%{_datadir}/xscreensaver/config/polyominoes.xml
%{_datadir}/xscreensaver/config/pong.xml
%{_datadir}/xscreensaver/config/popsquares.xml
%{_datadir}/xscreensaver/config/pyro.xml
%{_datadir}/xscreensaver/config/qix.xml
%{_datadir}/xscreensaver/config/rd-bomb.xml
%{_datadir}/xscreensaver/config/ripples.xml
%{_datadir}/xscreensaver/config/rorschach.xml
%{_datadir}/xscreensaver/config/rotor.xml
%{_datadir}/xscreensaver/config/rotzoomer.xml
%{_datadir}/xscreensaver/config/shadebobs.xml
%{_datadir}/xscreensaver/config/sierpinski.xml
%{_datadir}/xscreensaver/config/slidescreen.xml
%{_datadir}/xscreensaver/config/slip.xml
%{_datadir}/xscreensaver/config/sonar.xml
%{_datadir}/xscreensaver/config/speedmine.xml
%{_datadir}/xscreensaver/config/sphere.xml
%{_datadir}/xscreensaver/config/spiral.xml
%{_datadir}/xscreensaver/config/spotlight.xml
%{_datadir}/xscreensaver/config/squiral.xml
%{_datadir}/xscreensaver/config/starfish.xml
%{_datadir}/xscreensaver/config/strange.xml
%{_datadir}/xscreensaver/config/substrate.xml
%{_datadir}/xscreensaver/config/swirl.xml
%{_datadir}/xscreensaver/config/t3d.xml
%{_datadir}/xscreensaver/config/thornbird.xml
%{_datadir}/xscreensaver/config/triangle.xml
%{_datadir}/xscreensaver/config/truchet.xml
%{_datadir}/xscreensaver/config/twang.xml
%{_datadir}/xscreensaver/config/vermiculate.xml
%{_datadir}/xscreensaver/config/vidwhacker.xml
%{_datadir}/xscreensaver/config/vines.xml
%{_datadir}/xscreensaver/config/wander.xml
%{_datadir}/xscreensaver/config/whirlwindwarp.xml
%{_datadir}/xscreensaver/config/whirlygig.xml
%{_datadir}/xscreensaver/config/worm.xml
%{_datadir}/xscreensaver/config/wormhole.xml
%{_datadir}/xscreensaver/config/xanalogtv.xml
%{_datadir}/xscreensaver/config/xflame.xml
%{_datadir}/xscreensaver/config/xjack.xml
%{_datadir}/xscreensaver/config/xlyap.xml
%{_datadir}/xscreensaver/config/xmatrix.xml
%{_datadir}/xscreensaver/config/xrayswarm.xml
%{_datadir}/xscreensaver/config/xspirograph.xml
%{_datadir}/xscreensaver/config/xteevee.xml
%{_datadir}/xscreensaver/config/zoom.xml

%files gl-extras
%defattr(-,root,root)
%{_bindir}/xscreensaver-gl-helper
%{_libexecdir}/xscreensaver/antinspect
%{_libexecdir}/xscreensaver/antmaze
%{_libexecdir}/xscreensaver/antspotlight
%{_libexecdir}/xscreensaver/atlantis
%{_libexecdir}/xscreensaver/atunnel
%{_libexecdir}/xscreensaver/blinkbox
%{_libexecdir}/xscreensaver/blocktube
%{_libexecdir}/xscreensaver/boing
%{_libexecdir}/xscreensaver/bouncingcow
%{_libexecdir}/xscreensaver/boxed
%{_libexecdir}/xscreensaver/bubble3d
%{_libexecdir}/xscreensaver/cage
%{_libexecdir}/xscreensaver/carousel
%{_libexecdir}/xscreensaver/circuit
%{_libexecdir}/xscreensaver/crackberg
%{_libexecdir}/xscreensaver/cube21
%{_libexecdir}/xscreensaver/cubenetic
%{_libexecdir}/xscreensaver/cubestorm
%{_libexecdir}/xscreensaver/dangerball
%{_libexecdir}/xscreensaver/endgame
%{_libexecdir}/xscreensaver/engine
%{_libexecdir}/xscreensaver/flipflop
%{_libexecdir}/xscreensaver/flipscreen3d
%{_libexecdir}/xscreensaver/fliptext
%{_libexecdir}/xscreensaver/flurry
%{_libexecdir}/xscreensaver/flyingtoasters
%{_libexecdir}/xscreensaver/gears
%{_libexecdir}/xscreensaver/gflux
%{_libexecdir}/xscreensaver/glblur
%{_libexecdir}/xscreensaver/gleidescope
%{_libexecdir}/xscreensaver/glforestfire
%{_libexecdir}/xscreensaver/glhanoi
%{_libexecdir}/xscreensaver/glknots
%{_libexecdir}/xscreensaver/glmatrix
%{_libexecdir}/xscreensaver/glplanet
%{_libexecdir}/xscreensaver/glslideshow
%{_libexecdir}/xscreensaver/glsnake
%{_libexecdir}/xscreensaver/hypertorus
%{_libexecdir}/xscreensaver/jigglypuff
%{_libexecdir}/xscreensaver/juggler3d
%{_libexecdir}/xscreensaver/klein
%{_libexecdir}/xscreensaver/lament
%{_libexecdir}/xscreensaver/lavalite
%{_libexecdir}/xscreensaver/menger
%{_libexecdir}/xscreensaver/mirrorblob
%{_libexecdir}/xscreensaver/moebius
%{_libexecdir}/xscreensaver/molecule
%{_libexecdir}/xscreensaver/noof
%{_libexecdir}/xscreensaver/pinion
%{_libexecdir}/xscreensaver/polyhedra
%{_libexecdir}/xscreensaver/polytopes
%{_libexecdir}/xscreensaver/providence
%{_libexecdir}/xscreensaver/pulsar
%{_libexecdir}/xscreensaver/queens
%{_libexecdir}/xscreensaver/rubik
%{_libexecdir}/xscreensaver/sballs
%{_libexecdir}/xscreensaver/sierpinski3d
%{_libexecdir}/xscreensaver/spheremonics
%{_libexecdir}/xscreensaver/sproingies
%{_libexecdir}/xscreensaver/stairs
%{_libexecdir}/xscreensaver/starwars
%{_libexecdir}/xscreensaver/stonerview
%{_libexecdir}/xscreensaver/superquadrics
%{_libexecdir}/xscreensaver/tangram
%{_libexecdir}/xscreensaver/timetunnel
%{_mandir}/man1/antinspect.1*
%{_mandir}/man1/antmaze.1*
%{_mandir}/man1/antspotlight.1*
%{_mandir}/man1/atlantis.1*
%{_mandir}/man1/atunnel.1*
%{_mandir}/man1/blinkbox.1*
%{_mandir}/man1/blocktube.1*
%{_mandir}/man1/boing.1*
%{_mandir}/man1/bouncingcow.1*
%{_mandir}/man1/boxed.1*
%{_mandir}/man1/bubble3d.1*
%{_mandir}/man1/cage.1*
%{_mandir}/man1/carousel.1*
%{_mandir}/man1/circuit.1*
%{_mandir}/man1/crackberg.1*
%{_mandir}/man1/cube21.1*
%{_mandir}/man1/cubenetic.1*
%{_mandir}/man1/cubestorm.1*
%{_mandir}/man1/dangerball.1*
%{_mandir}/man1/endgame.1*
%{_mandir}/man1/engine.1*
%{_mandir}/man1/flipflop.1*
%{_mandir}/man1/flipscreen3d.1*
%{_mandir}/man1/fliptext.1*
%{_mandir}/man1/flurry.1*
%{_mandir}/man1/flyingtoasters.1*
%{_mandir}/man1/gears.1*
%{_mandir}/man1/gflux.1*
%{_mandir}/man1/glblur.1*
%{_mandir}/man1/gleidescope.1*
%{_mandir}/man1/glforestfire.1*
%{_mandir}/man1/glhanoi.1*
%{_mandir}/man1/glknots.1*
%{_mandir}/man1/glmatrix.1*
%{_mandir}/man1/glplanet.1*
%{_mandir}/man1/glslideshow.1*
%{_mandir}/man1/glsnake.1*
%{_mandir}/man1/hypertorus.1*
%{_mandir}/man1/jigglypuff.1*
%{_mandir}/man1/juggler3d.1*
%{_mandir}/man1/klein.1*
%{_mandir}/man1/lament.1*
%{_mandir}/man1/lavalite.1*
%{_mandir}/man1/menger.1*
%{_mandir}/man1/mirrorblob.1*
%{_mandir}/man1/moebius.1*
%{_mandir}/man1/molecule.1*
%{_mandir}/man1/noof.1*
%{_mandir}/man1/pinion.1*
%{_mandir}/man1/polyhedra.1*
%{_mandir}/man1/polytopes.1*
%{_mandir}/man1/providence.1*
%{_mandir}/man1/pulsar.1*
%{_mandir}/man1/queens.1*
%{_mandir}/man1/rubik.1*
%{_mandir}/man1/sballs.1*
%{_mandir}/man1/sierpinski3d.1*
%{_mandir}/man1/spheremonics.1*
%{_mandir}/man1/sproingies.1*
%{_mandir}/man1/stairs.1*
%{_mandir}/man1/starwars.1*
%{_mandir}/man1/stonerview.1*
%{_mandir}/man1/superquadrics.1*
%{_mandir}/man1/tangram.1*
%{_mandir}/man1/timetunnel.1*
%{_mandir}/man1/xscreensaver-gl-helper.1*
%{_datadir}/xscreensaver/config/antinspect.xml
%{_datadir}/xscreensaver/config/antmaze.xml
%{_datadir}/xscreensaver/config/antspotlight.xml
%{_datadir}/xscreensaver/config/atlantis.xml
%{_datadir}/xscreensaver/config/atunnel.xml
%{_datadir}/xscreensaver/config/blinkbox.xml
%{_datadir}/xscreensaver/config/blocktube.xml
%{_datadir}/xscreensaver/config/boing.xml
%{_datadir}/xscreensaver/config/bouncingcow.xml
%{_datadir}/xscreensaver/config/boxed.xml
%{_datadir}/xscreensaver/config/bubble3d.xml
%{_datadir}/xscreensaver/config/cage.xml
%{_datadir}/xscreensaver/config/carousel.xml
%{_datadir}/xscreensaver/config/circuit.xml
%{_datadir}/xscreensaver/config/crackberg.xml
%{_datadir}/xscreensaver/config/cube21.xml
%{_datadir}/xscreensaver/config/cubenetic.xml
%{_datadir}/xscreensaver/config/cubestorm.xml
%{_datadir}/xscreensaver/config/dangerball.xml
%{_datadir}/xscreensaver/config/endgame.xml
%{_datadir}/xscreensaver/config/engine.xml
%{_datadir}/xscreensaver/config/flipflop.xml
%{_datadir}/xscreensaver/config/flipscreen3d.xml
%{_datadir}/xscreensaver/config/fliptext.xml
%{_datadir}/xscreensaver/config/flurry.xml
%{_datadir}/xscreensaver/config/flyingtoasters.xml
%{_datadir}/xscreensaver/config/gears.xml
%{_datadir}/xscreensaver/config/gflux.xml
%{_datadir}/xscreensaver/config/glblur.xml
%{_datadir}/xscreensaver/config/gleidescope.xml
%{_datadir}/xscreensaver/config/glforestfire.xml
%{_datadir}/xscreensaver/config/glhanoi.xml
%{_datadir}/xscreensaver/config/glknots.xml
%{_datadir}/xscreensaver/config/glmatrix.xml
%{_datadir}/xscreensaver/config/glplanet.xml
%{_datadir}/xscreensaver/config/glslideshow.xml
%{_datadir}/xscreensaver/config/glsnake.xml
%{_datadir}/xscreensaver/config/hypertorus.xml
%{_datadir}/xscreensaver/config/jigglypuff.xml
%{_datadir}/xscreensaver/config/juggler3d.xml
%{_datadir}/xscreensaver/config/klein.xml
%{_datadir}/xscreensaver/config/lament.xml
%{_datadir}/xscreensaver/config/lavalite.xml
%{_datadir}/xscreensaver/config/menger.xml
%{_datadir}/xscreensaver/config/mirrorblob.xml
%{_datadir}/xscreensaver/config/moebius.xml
%{_datadir}/xscreensaver/config/molecule.xml
%{_datadir}/xscreensaver/config/noof.xml
%{_datadir}/xscreensaver/config/pinion.xml
%{_datadir}/xscreensaver/config/polyhedra.xml
%{_datadir}/xscreensaver/config/polytopes.xml
%{_datadir}/xscreensaver/config/providence.xml
%{_datadir}/xscreensaver/config/pulsar.xml
%{_datadir}/xscreensaver/config/queens.xml
%{_datadir}/xscreensaver/config/rubik.xml
%{_datadir}/xscreensaver/config/sballs.xml
%{_datadir}/xscreensaver/config/sierpinski3d.xml
%{_datadir}/xscreensaver/config/spheremonics.xml
%{_datadir}/xscreensaver/config/sproingies.xml
%{_datadir}/xscreensaver/config/stairs.xml
%{_datadir}/xscreensaver/config/starwars.xml
%{_datadir}/xscreensaver/config/stonerview.xml
%{_datadir}/xscreensaver/config/superquadrics.xml
%{_datadir}/xscreensaver/config/tangram.xml
%{_datadir}/xscreensaver/config/timetunnel.xml

%changelog
* Thu Jun  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.24-2m)
- delete duplicated dir

* Sun May  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.24-1m)
- version up
- based on fc-devel

* Sun Mar 26 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (4.18-6m)
- revise spec file for x86_64
- change stand_in_path value
- add configure option , --with-hackdir

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.18-5m)
- revise for xorg-7.0
- change install dir

* Fri Jul 1 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.18-4m)
- remove more screensavers just like rawhide

* Fri Jul 1 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.18-3m)
- remove webcollege

* Mon Apr 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.18-2m)
- import xscreensaver-4.18-vroot.patch from Fedora Core
 +* Fri Nov 26 2004 Than Ngo <than@redhat.com> 1:4.18-13
 +- add patch to fix vroot bug and make xscreensaver working in KDE again.

* Sun Oct  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.18-1m)
- minor bugfixes
- rebuild against gcc-c++-3.4.2

* Tue May 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.16-1m)
- update to 4.16
- enable starwars for test
- revise configure options

* Sun Apr 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.14-2m)
- disable starwars
  using i830/i865G with DRI, if starwars is started, a system will freeze.

* Sat Apr 10 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.14-1m)
- import from FC2

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.13-5m)
- rebuild against for libxml2-2.6.8

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (4.13-4m)
- revised spec for rpm 4.2.

* Mon Dec 08 2003 Kenta MURATA <muraken2@nifty.com>
- (4.13-3m)
- use gtk+-2.0.

* Mon Dec  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (4.13-2m)
- rebuild against perl-5.8.2-2m

* Mon Sep 22 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (4.13-1m)
- version 4.13

* Thu Jun 26 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.11-1m)
  update to 4.11

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.10-1m)
  update to 4.10

* Wed Mar 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.09-2m)
- rebuild against for XFree86-4.3.0

* Wed Mar 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (4.09-1m)
  update to 4.09

* Mon Nov 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.05-3m)
- add BuildPreReq: bc

* Fri Jun 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (4.05-2k)
  update to 4.05

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (4.01-8k)
- remove kondara scr

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.01-6k)
- add BuildPreReq: imlib-devel

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (4.01-4k)
- rebuild against libpng 1.2.2.

* Mon Mar 18 2002 Shingo Akagaki <dora@kondara.org>
- (4.01-2k)
- version 4.01

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (3.34-4k)
- BuildPreReq XFree86-devel >= 4.1.0.

* Thu Oct 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.34-2k)
- update to 3.34

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.33-4k)
- rebuild against libpng 1.2.0.

* Fri Aug 24 2001 Shingo Akagaki <dora@kondara.org>
- (3.33-2k)
- mazema-ze from rawhide 3.33-3

* Fri Jun  8 2001 Akira Higuchi <a@kondara.org>
- (3.31-8k)
- eschew.patch

* Sat Jun  2 2001 Toru Hoshina <toru@df-usa.com>
- avoid freeze on alpha (;_;)

* Fri Jun  1 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- add yuuwaku

* Thu Mar 29 2001 Toru Hoshina <toru@df-usa.com>
- (3.31-2k)

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- update to 3.29 (#27437)

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 3.27

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 10 2000 Bill Nottingham <notting@redhat.com>
- 3.26

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- hey, vidmode works again

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- update to 3.25

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- xscreensaver.kss is not a %%config file.

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- tweak kss module (#11872)

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM configuration to use system-auth

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- added Red Hat screensaver (waving flag has logo now).

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- tweaks for ia64

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- turn off xf86vidmode ext, so that binaries built against XFree86 4.0
  work on 3.x servers

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- turn off gnome support for now

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- update to 3.24

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 3.23

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix GL depdencies

* Tue Dec 14 1999 Bill Nottingham <notting@redhat.com>
- everyone in GL
- single package again

* Fri Dec 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.22
- turn off xf86vmode on alpha

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- mmm... hardware accelerated GL on i386. :) :)

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- 3.21
- use shm on alpha, let's see what breaks

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.20

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- update to 3.19

* Thu Oct 14 1999 Bill Nottingham <notting@redhat.com>
- update to 3.18

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add a '-oneshot' single time lock option.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- take webcollage out of random list (for people who pay for bandwidth)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- patch webcollage to use xloadimage
- in the random list, run petri with -size 2 to save memory
- extend RPM silliness to man pages, too.

* Mon Jul 19 1999 Bill Nottingham <notting@redhat.com>
- update to 3.17
- add a little RPM silliness to package GL stuff if it's built

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- update to 3.16

* Mon May 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.12

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- remove security problem introduced earlier

* Wed Apr 28 1999 Bill Nottingham <notting@redhat.com>
- update to 3.10

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
